---@meta
---
--- C_NamePlate is a namespace for functions related to nameplates.
---
--- @class C_NamePlate
C_NamePlate = {
	--- @param unit string
	--- @return Frame|nil
	--- Returns the nameplate frame for a given unit.
	GetNamePlateForUnit = function(unit) end,

	--- @return table
	--- Returns a table of all nameplates currently shown.
	GetNamePlates = function() end,
}
